// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wProcess:
//   The p4w process.


// -------------------------------------
// Includes
//

#include <p4wp4.h>

#include "p4wProcess.h"



// -------------------------------------
// Constructors and destructor.
//
p4wProcess::p4wProcess(NetEndPoint * e)
	: fEndPoint(e)
{
}

p4wProcess::~p4wProcess()
{
}



// -------------------------------------
// Misc functions.
//
void p4wProcess::Child()
{
	fEndPoint->Unlisten();
}

void p4wProcess::Cancel()
{
	fEndPoint->Unlisten();
}
